> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/references.md).

# References

### DocumentDetectorResult

| Parameter                  | Description                                                                                                                                                                   | Allow Null |
| -------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------- |
| `captures: Array<Capture>` | Array of captures for the documents provided. Can be null in case of an error.                                                                                                | ✅          |
| `type: String`             | Class of the document stream. Possible values are listed above. Can be null in case of error. The possible value are listed in the [section below](#possible-values-for-type) | ✅          |
| `trackingId: String`       | Identifier for this execution on our servers. Required for analytics and debugging.                                                                                           | ❌          |
| `sdkFailure: SDKFailure?`  | Indicates the reason for SDK shutdown. Null if the operation is successful.                                                                                                   | ✅          |

#### Possible Values for `type`

The parameter `type` can have one of the following values:

* `"blank"`
* `"cnh"`
* `"cnh_new"`
* `"generic"`
* `"rg"`
* `"rg_new"`
* `"rne"`
* `"rnm"`
* `"ctps"`
* `"passport"`
* `"crlv"`
* `"crlv_new"`
* `"cin"`

### Capture

| Parameter           | Description                                                                                                             | Allow Null |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------- | ---------- |
| `imagePath: String` | Full path of the image on the user's device.                                                                            | ❌          |
| `imageUrl: String`  | URL of the document on the Caf's server. This URL expires, and expiry time can be set using `setGetImageUrlExpireTime`. | ❌          |
| `label: String`     | Label of the respective document. Possible values are listed in the [section below](#possible-values-for-captures).     | ❌          |
| `quality: Double`   | Quality score inferred by the document quality algorithm. Ranges between 0 and 5.                                       | ❌          |

#### Possible Values for `captures`

The parameter `captures` can have one of the following values:

* `"blank"`
* `"cnh_back"`
* `"cnh_front"`
* `"cnh_full"`
* `"new_cnh_back"`
* `"new_cnh_front"`
* `"new_cnh_full"`
* `"crlv"`
* `"crlv_new"`
* `"generic"`
* `"rg_back"`
* `"rg_front"`
* `"rg_full"`
* `"rg_new_back"`
* `"rg_new_front"`
* `"rg_new_full"`
* `"rne_back"`
* `"rne_front"`
* `"rnm_back"`
* `"rnm_front"`
* `"ctps_back"`
* `"ctps_front"`
* `"passport"`
* `"cin_front"`
* `"cin_back"`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/references.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
